This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240431 - (CVE-2007-1701) CVE-2007-1701 php session extension global variable clobber
CVE-2007-1701 php session extension global variable clobber
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
:
: 239322 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 10:48 EDT by Joe Orton
Modified: 2007-05-21 06:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 06:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2007-05-17 10:48:37 EDT
Description of problem:
PHP 4 before 4.4.5, and PHP 5 before 5.2.1, when register_globals is enabled,
allows context-dependent attackers to execute arbitrary code via deserialization
of session data, which overwrites arbitrary global variables, as demonstrated by
calling session_decode on a string beginning with "_SESSION|s:39:".
Comment 1 Joe Orton 2007-05-17 10:49:54 EDT
This issue was fixed under the name CVE-2007-0910 in errata published by Red
Hat;  at time of writing the advisories have not been updated to reference the
new CVE name.

http://rhn.redhat.com/errata/CVE-2007-0910.html
Comment 2 Joe Orton 2007-05-17 10:51:29 EDT
*** Bug 239322 has been marked as a duplicate of this bug. ***
Comment 3 Joe Orton 2007-05-21 06:12:19 EDT
Advisory references have now been updated:

http://rhn.redhat.com/errata/CVE-2007-1701.html

Note You need to log in before you can comment on or make changes to this bug.